package com.red.circle.other.infra.database.cache.key;

/**
 * 货运代理业务类型.
 *
 * @author pengliang on 2021/11/11
 */
public enum FreightKeys {

  /**
   * 货运代理大于1k用户列表.
   */
  FREIGHT_BALANCE_GT_1K_LIST,

  ;


  public String getKey(String name) {
    return this.name().concat(":").concat(name);
  }

  public String getKey(String key1, String key2) {
    return this.name().concat(":").concat(key1).concat(":").concat(key2);
  }
}
